Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.portal.jsp.taglib
Class PortalBodyTagSupport

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.jboss.portal.portlet.portal.jsp.taglib.PortalBodyTagSupport

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  AbstractURLTag, PageTag, PortletTag

    public class PortalBodyTagSupport

extends javax.servlet.jsp.tagext.BodyTagSupport

Version:
  $Revision: 630 $
Author:
  Julien Viet
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`PortalBodyTagSupport()`

Method Summary
`int` | `doEndTag()`
`int` | `doEndTag(PortalPrepareResponse prepareResponse)`
`int` | `doEndTag(PortalRenderResponse renderResponse)`
`int` | `doEndTag(PortalResponse portalResponse)`
`int` | `doStartTag()`
`int` | `doStartTag(PortalPrepareResponse prepareResponse)`
`int` | `doStartTag(PortalRenderResponse renderResponse)`
`int` | `doStartTag(PortalResponse portalResponse)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### PortalBodyTagSupport

    public PortalBodyTagSupport()

Method Detail

### doStartTag

    public final int doStartTag()
                         throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public final int doEndTag()
                       throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### doStartTag

    public int doStartTag(PortalResponse portalResponse)
                   throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag(PortalResponse portalResponse)
                 throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### doStartTag

    public int doStartTag(PortalPrepareResponse prepareResponse)
                   throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag(PortalPrepareResponse prepareResponse)
                 throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### doStartTag

    public int doStartTag(PortalRenderResponse renderResponse)
                   throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag(PortalRenderResponse renderResponse)
                 throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.